gtkmm: Gtk::NumericSorterBase Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::NumericSorterBase Class Reference
ListView Classes

Base class for Gtk::NumericSorter. More...

`#include <gtkmm/numericsorter.h>`

Inheritance diagram for Gtk::NumericSorterBase:
[legend]

## Public Member Functions
| NumericSorterBase (NumericSorterBase &&src) noexcept
NumericSorterBase & | operator= (NumericSorterBase &&src) noexcept
| ~NumericSorterBase () noexcept override
GtkNumericSorter * | gobj ()
| Provides access to the underlying C GObject.
const GtkNumericSorter * | gobj () const
| Provides access to the underlying C GObject.
GtkNumericSorter * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
SortType | get_sort_order () const
| Gets whether this sorter will sort smaller numbers first.
void | set_sort_order (SortType sort_order)
| Sets whether to sort smaller numbers before larger ones.
Glib::PropertyProxy< SortType > | property_sort_order ()
| Whether the sorter will sort smaller numbers first.
Glib::PropertyProxy_ReadOnly< SortType > | property_sort_order () const
| Whether the sorter will sort smaller numbers first.
Public Member Functions inherited from Gtk::Sorter
| Sorter (Sorter &&src) noexcept
Sorter & | operator= (Sorter &&src) noexcept
| ~Sorter () noexcept override
GtkSorter * | gobj ()
| Provides access to the underlying C GObject.
const GtkSorter * | gobj () const
| Provides access to the underlying C GObject.
GtkSorter * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Ordering | compare (gpointer item1, gpointer item2)
| Compares two given items according to the sort order implemented by the sorter.
Order | get_order () const
| Gets the order that self conforms to.
void | changed (Change change)
| Notifies all users of the sorter that it has changed.
Glib::SignalProxy< void(Change)> | signal_changed ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Sorter
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| NumericSorterBase (const Glib::RefPtr< ExpressionBase > &expression)
Protected Member Functions inherited from Gtk::Sorter
| Sorter ()
virtual Ordering | compare_vfunc (gpointer item1, gpointer item2)
virtual Order | get_order_vfunc ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::NumericSorterBase > | wrap (GtkNumericSorter *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Sorter
Glib::RefPtr< Gtk::Sorter > | wrap (GtkSorter *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Sorter
enum class | Order { Order::PARTIAL , Order::NONE , Order::TOTAL }
| Describes the type of order that a `Gtk::Sorter` may produce. More...
enum class | Change { DIFFERENT , INVERTED , LESS_STRICT , MORE_STRICT }

## Detailed Description

Base class for Gtk::NumericSorter.

See also
  Gtk::NumericSorter

Since gtkmm 3.98

## Constructor & Destructor Documentation

## ◆ NumericSorterBase() [1/2]

Gtk::NumericSorterBase::NumericSorterBase | ( | NumericSorterBase && | src | ) |
| noexcept

## ◆ ~NumericSorterBase()

Gtk::NumericSorterBase::~NumericSorterBase | ( |  | ) |
| overridenoexcept

## ◆ NumericSorterBase() [2/2]

Gtk::NumericSorterBase::NumericSorterBase | ( | const Glib::RefPtr< ExpressionBase > & | expression | ) |
| explicitprotected

## Member Function Documentation

## ◆ get_sort_order()

SortType Gtk::NumericSorterBase::get_sort_order | ( |  | ) | const

Gets whether this sorter will sort smaller numbers first.

Returns
  The order of the numbers.

## ◆ get_type()

static GType Gtk::NumericSorterBase::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNumericSorter * Gtk::NumericSorterBase::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNumericSorter * Gtk::NumericSorterBase::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNumericSorter * Gtk::NumericSorterBase::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NumericSorterBase & Gtk::NumericSorterBase::operator= | ( | NumericSorterBase && | src | ) |
| noexcept

## ◆ property_sort_order() [1/2]

Glib::PropertyProxy< SortType > Gtk::NumericSorterBase::property_sort_order | ( |  | ) |

Whether the sorter will sort smaller numbers first.

Default value: Gtk::SortType::ASCENDING

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_sort_order() [2/2]

Glib::PropertyProxy_ReadOnly< SortType > Gtk::NumericSorterBase::property_sort_order | ( |  | ) | const

Whether the sorter will sort smaller numbers first.

Default value: Gtk::SortType::ASCENDING

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_sort_order()

void Gtk::NumericSorterBase::set_sort_order | ( | SortType | sort_order | ) |

Sets whether to sort smaller numbers before larger ones.

Parameters

  sort_order | Whether to sort smaller numbers first.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NumericSorterBase > wrap | ( | GtkNumericSorter * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.